#!/bin/bash
# 自动备份时使用以下命令,需要root权限
# /bin/bash  /sharedfolders/docker/gitea/backup.sh

backup_path="/sharedfolders/git/gitea"
backup_filename=$(date "+gitea-backup-%Y%m%d_%H%M%S")

# if sudo -n uptime 2>&1 | grep -q "load"; then
#   echo "请用root权限运行"
#   exit 1
# fi

cd $(dirname ${BASH_SOURCE:-$0})

# cid=$(docker-compose ps -q gitea)
# if [ ${#cid} -gt 0 ]; then
#   docker-compose up -d
#   cid=$(docker-compose ps -q gitea)
#   if [ ${#cid} -gt 0 ]; then 
#     exit
#   fi
# fi

# cd data
echo "备份到  ${backup_path}/${backup_filename}.zip ..."
# sudo tar -zcpf ${backup_path}/${backup_filename}.tgz gitea
cid=$(docker-compose ps -q gitea)
docker-compose exec -u git gitea sh -c "/app/gitea/gitea dump -V -f /data/gitea/${backup_filename}.zip"
docker cp ${cid}:/data/gitea/${backup_filename}.zip ${backup_path}
sudo chown git:users ${backup_path} -R
docker-compose exec gitea sh -c "rm -f /data/gitea/${backup_filename}.zip"
echo "备份完毕."

# echo "启动 Gitea ..."
# cd $(dirname ${BASH_SOURCE:-$0})
# docker-compose up -d